## com.google.gwt.core.client
Class JsArrayNumber

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.core.client.JsArrayNumber

    public class JsArrayNumber

extends JavaScriptObject

A simple wrapper around a homogeneous native array of numeric values. All native JavaScript numeric values are implicitly double-precision, so only double values may be set and retrieved. This class may not be directly instantiated, and can only be returned from a native method. For example, `native JsArrayNumber getNativeArray() /*-{ return [1.1, 2.2, 3.3]; }-* /;`

Constructor Summary
`protected` | `JsArrayNumber()`

Method Summary
`double` | `get(int index)` Gets the value at a given index.
`int` | `length()` Gets the length of the array.
`void` | `set(int index, double value)` Sets the value value at a given index.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsArrayNumber

    protected JsArrayNumber()

Method Detail

### get

    public final double get(int index)

  Gets the value at a given index. If an undefined or non-numeric value exists at the given index, a type-conversion error will occur in hosted mode and unpredictable behavior may occur in web mode.

  Parameters:
    `index` - the index to be retrieved
  Returns:
    the value at the given index

### length

    public final int length()

  Gets the length of the array.

  Returns:
    the array length

### set

    public final void set(int index,
                          double value)

  Sets the value value at a given index. If the index is out of bounds, the value will still be set. The array's length will be updated to encompass the bounds implied by the added value.

  Parameters:
    `index` - the index to be set
    `value` - the value to be stored